Package org.jboss.resteasy.spi

## Interface InjectorFactory

- All Known Implementing Classes:
    `CdiInjectorFactory`, `InjectorFactoryImpl`

      public interface InjectorFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstructorInjector` | `createConstructor​(Constructor constructor, ResteasyProviderFactory factory)` |
    `ConstructorInjector` | `createConstructor​(ResourceConstructor constructor, ResteasyProviderFactory providerFactory)` |
    `MethodInjector` | `createMethodInjector​(ResourceLocator method, ResteasyProviderFactory factory)` |
    `ValueInjector` | `createParameterExtractor​(Class injectTargetClass, AccessibleObject injectTarget, String defaultName, Class type, Type genericType, Annotation[] annotations, boolean useDefault, ResteasyProviderFactory factory)` |
    `ValueInjector` | `createParameterExtractor​(Class injectTargetClass, AccessibleObject injectTarget, String defaultName, Class type, Type genericType, Annotation[] annotations, ResteasyProviderFactory factory)` |
    `ValueInjector` | `createParameterExtractor​(Parameter parameter, ResteasyProviderFactory providerFactory)` |
    `PropertyInjector` | `createPropertyInjector​(Class resourceClass, ResteasyProviderFactory factory)` |
    `PropertyInjector` | `createPropertyInjector​(ResourceClass resourceClass, ResteasyProviderFactory providerFactory)` |

- - ### Method Detail

    - #### createConstructor

          ConstructorInjector createConstructor​(Constructor constructor,
                                                ResteasyProviderFactory factory)

    - #### createPropertyInjector

          PropertyInjector createPropertyInjector​(Class resourceClass,
                                                  ResteasyProviderFactory factory)

    - #### createParameterExtractor

          ValueInjector createParameterExtractor​(Class injectTargetClass,
                                                 AccessibleObject injectTarget,
                                                 String defaultName,
                                                 Class type,
                                                 Type genericType,
                                                 Annotation[] annotations,
                                                 ResteasyProviderFactory factory)

    - #### createParameterExtractor

          ValueInjector createParameterExtractor​(Class injectTargetClass,
                                                 AccessibleObject injectTarget,
                                                 String defaultName,
                                                 Class type,
                                                 Type genericType,
                                                 Annotation[] annotations,
                                                 boolean useDefault,
                                                 ResteasyProviderFactory factory)

    - #### createParameterExtractor

          ValueInjector createParameterExtractor​(Parameter parameter,
                                                 ResteasyProviderFactory providerFactory)

    - #### createMethodInjector

          MethodInjector createMethodInjector​(ResourceLocator method,
                                              ResteasyProviderFactory factory)

    - #### createPropertyInjector

          PropertyInjector createPropertyInjector​(ResourceClass resourceClass,
                                                  ResteasyProviderFactory providerFactory)

    - #### createConstructor

          ConstructorInjector createConstructor​(ResourceConstructor constructor,
                                                ResteasyProviderFactory providerFactory)